type
mas=array[1..1000] of integer;
var
a,b,n,i,l:integer;
begin
 readln(a,b);
 for i:=1 to b do
 n:=a/b;
 l:=a mod b;
 if l<>0 then n:=n-l;
 mas[1]:=1;
 mas[i]:=mas[i-1]+n;
 for i:=1 to b do
 writeln(mas[i]);
end.